# About

This is a repository of Haskell Jupyter notebooks and other notes in my
Haskell journey.

# Using IHaskell

Just use [podman](https://github.com/IHaskell/IHaskell#docker). 

```bash
podman run --rm -p 8888:8888 -v $PWD:/home/jovyan/src gibiansky/ihaskell
```

# Talks

[Lens](https://www.youtube.com/watch?v=uZLN2x3u2kg)

[Free Monads](https://www.youtube.com/watch?v=fhu1UQel5eo)

# References

https://namc.in/posts/lenses-part-1/

https://deontologician.com/wiki/lenses/

https://www.schoolofhaskell.com/user/griba/easier_lenses_profunctor_based_with_mezzolens

https://www.schoolofhaskell.com/user/liyang/profunctors

https://bartoszmilewski.com/2015/07/13/from-lenses-to-yoneda-embedding/

https://github.com/hablapps/DontFearTheProfunctorOptics

https://twanvl.nl/blog/haskell/isomorphism-lenses

https://blog.jez.io/lens-intuition/

https://blog.jle.im/entry/lenses-products-prisms-sums.html

http://oleg.fi/gists/posts/2017-04-18-glassery.html

https://www.seas.upenn.edu/~cis194/fall16/lectures/14-lenses.html

